# class CSSRule

#### package js.html

Available on HTML5

The `CSSRule` interface represents a single CSS rule. There are several types of rules, listed in the Type constants section below.

Documentation CSSRule by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/CSSRule

### Variables

###

`cssText:String`

###

`read onlyparentRule:CSSRule`

###

`read onlyparentStyleSheet:CSSStyleSheet`

###

`read onlytype:Int`

### Static variables

###

`staticinline read onlyCHARSET_RULE:Int = 2`

###

`staticinline read onlyFONT_FACE_RULE:Int = 5`

###

`staticinline read onlyIMPORT_RULE:Int = 3`

###

`staticinline read onlyMEDIA_RULE:Int = 4`

###

`staticinline read onlyPAGE_RULE:Int = 6`

###

`staticinline read onlySTYLE_RULE:Int = 1`

###

`staticinline read onlyUNKNOWN_RULE:Int = 0`